API / Messaging
GET
/emails
List enqueued/sent messages
Authentification : clé API Bearer requise.
Paramètres
| Nom | Dans | Type | Description |
|---|---|---|---|
| identityId | query | string | Filter by identity |
| status | query | string | Filter by status |
| q | query | string | Search subject or recipient |
| from | query | string | Created at >= RFC3339 timestamp |
| to | query | string | Created at < RFC3339 timestamp |
| limit | query | integer | Page size |
| offset | query | integer | Offset |
Exemple curl
curl -X GET https://api.sporee.fr/emails \
-H "Authorization: Bearer $SPORE_API_KEY"Réponses
| Statut | Description | Type |
|---|---|---|
| 200 | OK | list_messages.Result |
| 400 | Bad Request | echo.HTTPError |
| 401 | Unauthorized | echo.HTTPError |
Source machine : openapi.json · opération listEmails